Package Details: quantlib 1.8-1

Git Clone URL: https://aur.archlinux.org/quantlib.git (read-only)
Package Base: quantlib
Description: A free/open-source library for quantitative finance.
Upstream URL: http://quantlib.org
Licenses: BSD
Submitter: None
Maintainer: xgdgsc
Last Packager: xgdgsc
Votes: 9
Popularity: 0.417335
First Submitted: 2007-01-01 07:43
Last Updated: 2016-05-27 03:17

Latest Comments

Anonymous comment on 2012-06-01 07:04

I do not use this package now, please adopt it.

Anonymous comment on 2011-05-28 15:03

Updated to version 1.1

Anonymous comment on 2011-05-25 05:14

Does not build the package:

if g++ -DHAVE_CONFIG_H -I. -I. -I../../ql -I../.. -I../.. -march=i686 -mtune=generic -O2 -pipe -MT BermudanSwaption.o -MD -MP -MF ".deps/BermudanSwaption.Tpo" -c -o BermudanSwaption.o BermudanSwaption.cpp; \
then mv -f ".deps/BermudanSwaption.Tpo" ".deps/BermudanSwaption.Po"; else rm -f ".deps/BermudanSwaption.Tpo"; exit 1; fi
In file included from ../../ql/math/interpolations/all.hpp:18:0,
from ../../ql/math/all.hpp:31,
from ../../ql/quantlib.hpp:46,
from BermudanSwaption.cpp:22:
../../ql/math/interpolations/multicubicspline.hpp:276:33: error: reference 'y2_' cannot be declared 'mutable' [-fpermissive]
../../ql/math/interpolations/multicubicspline.hpp:277:34: error: reference 'v_' cannot be declared 'mutable' [-fpermissive]
../../ql/math/interpolations/multicubicspline.hpp:336:33: error: reference 'y2_' cannot be declared 'mutable' [-fpermissive]
../../ql/math/interpolations/multicubicspline.hpp:337:34: error: reference 'v_' cannot be declared 'mutable' [-fpermissive]
../../ql/math/interpolations/multicubicspline.hpp:337:39: error: reference 'v1_' cannot be declared 'mutable' [-fpermissive]
../../ql/math/interpolations/multicubicspline.hpp:337:45: error: reference 'v2_' cannot be declared 'mutable' [-fpermissive]
make[2]: *** [BermudanSwaption.o] Error 1

lrm commented on 2010-07-31 16:38

Took over maintainership and updated to the latest, 1.0.1.